gnutls_x509_crt_get_extension_info(3)

NAME
gnutls_x509_crt_get_extension_info - Get extension id and criticality

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_extension_info(gnutls_x509_crt_t cert, int indx, void * oid, size_t * sizeof_oid, int * critical);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

int indx
    Specifies which extension OID to send. Use zero to get the first one.

void * oid
    a pointer to a structure to hold the OID

size_t * sizeof_oid
    initially holds the maximum size of oid, on return holds actual size of oid.

int * critical
    output variable with critical flag, may be NULL.

DESCRIPTION
This function will return the requested extension OID in the certificate, and the critical flag for it. The extension OID will be stored as a string in the provided buffer. Use gnutls_x509_crt_get_extension_data() to extract the data.

If the buffer provided is not long enough to hold the output, then *sizeof_oid is updated and GNUTLS_E_SHORT_MEMORY_BUFFER will be returned.

Return 0 on success. A negative value may be returned in case of parsing error. If you have reached the last extension available GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.